CLI
curl --request GET \
--url 'https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound' \
--header 'Authorization: Bearer {{BEARER_TOKEN}}'const res = await fetch('https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound', {
method: 'GET',
headers: {
'Authorization': 'Bearer {{BEARER_TOKEN}}',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound',
headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},
)
print(res.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/inbox/threads/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/inbox/threads/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/inbox/threads/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/inbox/threads/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"threads": [
{
"threadId": 1234,
"status": "open",
"unreadMessages": 0,
"pinned": false,
"channels": [
"email"
],
"contact": {
"contactId": 5678,
"name": "Mario Rossi",
"email": "mario@example.com",
"phone": null
},
"assignedTo": null,
"needsHuman": false,
"ai": {
"state": "active",
"since": null
},
"snoozedUntil": null,
"updatedAt": "2026-11-12T16:20:00.000Z",
"lastMessage": {
"messageId": 90087,
"direction": "inbound",
"channel": "email",
"subject": "Refund for order 1042",
"preview": "Hello, I would like a refund for order 1042…",
"at": "2026-11-12T16:20:00.000Z"
}
}
],
"searchedFrom": "2026-05-17T10:00:00.000Z"
}
}{
"status": "FAIL",
"message": "WHATSAPP_WINDOW_CLOSED",
"userMessage": "WhatsApp allows free text only within 24 hours of the contact's last WhatsApp message. Send an approved template instead."
}Threads
Search Threads
Find threads by what was written in them: message text, email subject, sender name or address
GET
/
public
/
v1
/
inbox
/
threads
/
search
CLI
curl --request GET \
--url 'https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound' \
--header 'Authorization: Bearer {{BEARER_TOKEN}}'const res = await fetch('https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound', {
method: 'GET',
headers: {
'Authorization': 'Bearer {{BEARER_TOKEN}}',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/inbox/threads/search?query=refund&direction=inbound',
headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},
)
print(res.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/inbox/threads/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/inbox/threads/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/inbox/threads/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/inbox/threads/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"threads": [
{
"threadId": 1234,
"status": "open",
"unreadMessages": 0,
"pinned": false,
"channels": [
"email"
],
"contact": {
"contactId": 5678,
"name": "Mario Rossi",
"email": "mario@example.com",
"phone": null
},
"assignedTo": null,
"needsHuman": false,
"ai": {
"state": "active",
"since": null
},
"snoozedUntil": null,
"updatedAt": "2026-11-12T16:20:00.000Z",
"lastMessage": {
"messageId": 90087,
"direction": "inbound",
"channel": "email",
"subject": "Refund for order 1042",
"preview": "Hello, I would like a refund for order 1042…",
"at": "2026-11-12T16:20:00.000Z"
}
}
],
"searchedFrom": "2026-05-17T10:00:00.000Z"
}
}{
"status": "FAIL",
"message": "WHATSAPP_WINDOW_CLOSED",
"userMessage": "WhatsApp allows free text only within 24 hours of the contact's last WhatsApp message. Send an approved template instead."
}The match is case-insensitive and covers message text, email subject, sender name and sender address (and the HTML of
emails without a text part). Results are threads, newest match first; each thread’s
lastMessage is the newest
matching message. Without fromDate the last 180 days are searched (searchedFrom in the response).
Use Cases
- Find a request: every thread where a contact wrote “refund” (
query=refund&direction=inbound) - Check what you promised:
direction=outboundsearches what you, your team or your AI sent
search on List Threads.